.video-grid {
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
    row-gap: 20px;
}

@media (min-width: 768px) {
    .video-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media (min-width: 1024px) {
    .video-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.video-card {
    display: grid;
    grid-template-rows: 1fr 100px;
}

.thumbnail-profile {
    width: 100%;
    object-fit: contain;
    object-position: top;
    margin-bottom: 10px;
    cursor: pointer;
}

.div-relative {
    position: relative;
}

.time-stamp {
    position: absolute;
    bottom: 20px;
    right: 5px;
    background-color: rgb(0, 0, 0);
    color: white;
    padding: 5px 5px;
    border-radius: 2px;
    font-weight: bold;
}

.vertical-2 {
    display: grid;
    grid-template-columns: 50px 1fr;
}


.channel-picture {
    height: 40px;
    width: 40px;
    border-radius: 20px;
    cursor: pointer;
}

.video-info p {
    margin: 0;
    margin-bottom: 10px;
    width: 100%;
    
}

.video-title {
    line-height: 25px;
    font-size: 14px;
    font-weight: bold;
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}

.video-info .channel-name,
.video-stat {
    color: rgb(95, 93, 93);
    font-size: 12px;
    margin-bottom: 5px;
    cursor: pointer;
}

